#!/usr/bin/perl -I/usr/sausalito/perl
#
# $Id: generate_vps_graphs.pl,v 1.0.0.0 Sat 05 Apr 2008 04:51:13 AM CEST mstauber Exp $
# Copyright 2006-2008 Solarspeed Ltd. All rights reserved.
#
# Handler which writes / updates the user_beancounter RRD graphs.
#

use CCE;
use POSIX qw(isalpha);

my $DEBUG = 0;

my $cce = new CCE('Domain' => 'vz-vserver');

$cce->connectfd();

($sys_oidmasternode) = $cce->find('VserverTraffic');
($ok, $VserverTraffic) = $cce->get($sys_oidmasternode);
$vpsid = $VserverTraffic->{generate_vps_graphs};

my $vserver = $cce->event_object();
my $vserver_new = $cce->event_new();
my $vserver_old = $cce->event_old();

if (($vserver_new->{generate_graphs_multi}) || ($vserver_new->{generate_vps_graphs})) {
    $rrd_file = "/usr/sausalito/ui/web/vz/traffic/vpsimages/" . $vpsid . "/" . $vpsid . ".rrd";
    if ( ! -f $rrd_file) {
	system("/usr/sausalito/sbin/system_graphs.pl update");
    }
    system("/bin/chmod 644 $rrd_file");
    system("/usr/sausalito/sbin/system_graphs.pl graph daily $vpsid");
    system("/usr/sausalito/sbin/system_graphs.pl graph weekly $vpsid");
    system("/usr/sausalito/sbin/system_graphs.pl graph monthly $vpsid");
    system("/usr/sausalito/sbin/system_graphs.pl graph yearly $vpsid");
    $rrd_images = "/usr/sausalito/ui/web/vz/traffic/vpsimages/" . $vpsid . "/" . "*.png";
    system("/bin/chmod 644 $rrd_images");
}

# We need to say 'SUCCESS' or CCE will bitch:
$cce->bye('SUCCESS');
exit(0);

